Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.graph
Interface Capabilities

All Known Implementing Classes:
  com.hp.hpl.jena.graph.impl.AllCapabilities, BaseInfGraph.InfCapabilities, BaseInfGraph.InfFindSafeCapabilities

    public interface Capabilities

Interface for expressing capabilities.

Author:
  kers

Method Summary
`boolean` | `addAllowed()` Answer true if Graph::add() can be used to add at least some triples to the graph.
`boolean` | `addAllowed(boolean everyTriple)` Answer true if Graph::add() can be used to add at least some triples to the graph.
`boolean` | `canBeEmpty()` Answer true iff the graph can be completely empty.
`boolean` | `deleteAllowed()` Answer true iff Graph::delete() can be used to remove at least some triples from the graph.
`boolean` | `deleteAllowed(boolean everyTriple)` Answer true if Graph::delete() can be used to remove at least some triples from the graph.
`boolean` | `findContractSafe()` Answer true if the find() contract on the associated graph is "safe", ie, can be used safely by the pretty-printer (we'll tighten up that definition).
`boolean` | `handlesLiteralTyping()` Answer true iff this graph compares literals for equality by value rather than by lexical form (the memory-based graphs do; at present the RDB-graphs do not).
`boolean` | `iteratorRemoveAllowed()` Answer true iff the iterators returned from find support the .remove() operation.
`boolean` | `sizeAccurate()` Answer true iff Graph::size() is accurate.

Method Detail

### sizeAccurate

    boolean sizeAccurate()

  Answer true iff Graph::size() is accurate.

### addAllowed

    boolean addAllowed()

  Answer true if Graph::add() can be used to add at least some triples to the graph.

### addAllowed

    boolean addAllowed(boolean everyTriple)

  Answer true if Graph::add() can be used to add at least some triples to the graph. If everyTriple is true, answer true iff *any* triple can be added (ie the graph places no special restrictions on triples).

### deleteAllowed

    boolean deleteAllowed()

  Answer true iff Graph::delete() can be used to remove at least some triples from the graph.

### deleteAllowed

    boolean deleteAllowed(boolean everyTriple)

  Answer true if Graph::delete() can be used to remove at least some triples from the graph. If everyTriple is true, any such triple may be removed.

### iteratorRemoveAllowed

    boolean iteratorRemoveAllowed()

  Answer true iff the iterators returned from find support the .remove() operation.

### canBeEmpty

    boolean canBeEmpty()

  Answer true iff the graph can be completely empty.

### findContractSafe

    boolean findContractSafe()

  Answer true if the find() contract on the associated graph is "safe", ie, can be used safely by the pretty-printer (we'll tighten up that definition).

### handlesLiteralTyping

    boolean handlesLiteralTyping()

  Answer true iff this graph compares literals for equality by value rather than by lexical form (the memory-based graphs do; at present the RDB-graphs do not).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP